Package org.apache.commons.imaging.formats.tiff.constants

## Class ExifTagConstants

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.constants.ExifTagConstants

-     public final class ExifTagConstants
      extends Object

  References: http://www.sno.phy.queensu.ca/~phil/exiftool/TagNames/EXIF.html http://tiki-lounge.com/~raf/tiff/fields.html http://www.awaresystems.be/imaging/tiff/tifftags.html "Stonits": http://www.anyhere.com/gward/pixformat/tiffluv.html

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static List<TagInfo>` | `ALL_EXIF_TAGS` |
    `static int` | `CONTRAST_1_VALUE_HIGH` |
    `static int` | `CONTRAST_1_VALUE_LOW` |
    `static int` | `CONTRAST_1_VALUE_NORMAL` |
    `static int` | `CUSTOM_RENDERED_VALUE_CUSTOM` |
    `static int` | `CUSTOM_RENDERED_VALUE_NORMAL` |
    `static TagInfoLong` | `EXIF_TAG_AFCP_IPTC` |
    `static TagInfoUnknowns` | `EXIF_TAG_ANNOTATIONS` |
    `static TagInfoRational` | `EXIF_TAG_APERTURE_VALUE` |
    `static TagInfoBytes` | `EXIF_TAG_APPLICATION_NOTES` |
    `static TagInfoByte` | `EXIF_TAG_BACKGROUND_COLOR_INDICATOR` |
    `static TagInfoBytes` | `EXIF_TAG_BACKGROUND_COLOR_VALUE` |
    `static TagInfoShort` | `EXIF_TAG_BITS_PER_EXTENDED_RUN_LENGTH` |
    `static TagInfoShort` | `EXIF_TAG_BITS_PER_RUN_LENGTH` |
    `static TagInfoAscii` | `EXIF_TAG_BODY_SERIAL_NUMBER` |
    `static TagInfoAscii` | `EXIF_TAG_BRIGHTNESS` |
    `static TagInfoSRational` | `EXIF_TAG_BRIGHTNESS_VALUE` |
    `static TagInfoAscii` | `EXIF_TAG_CAMERA_OWNER_NAME` |
    `static TagInfoUndefineds` | `EXIF_TAG_CFAPATTERN` |
    `static TagInfoAscii` | `EXIF_TAG_COLOR_CHARACTERIZATION` |
    `static TagInfoAscii` | `EXIF_TAG_COLOR_SEQUENCE` |
    `static TagInfoBytes` | `EXIF_TAG_COLOR_TABLE` |
    `static TagInfoUndefineds` | `EXIF_TAG_COMPONENTS_CONFIGURATION` |
    `static TagInfoRational` | `EXIF_TAG_COMPRESSED_BITS_PER_PIXEL` |
    `static TagInfoShort` | `EXIF_TAG_CONTRAST_1` |
    `static TagInfoAscii` | `EXIF_TAG_CONTRAST_2` |
    `static TagInfoAscii` | `EXIF_TAG_CONVERTER` |
    `static TagInfoShort` | `EXIF_TAG_CUSTOM_RENDERED` |
    `static TagInfoUnknowns` | `EXIF_TAG_DATA_TYPE` |
    `static TagInfoAscii` | `EXIF_TAG_DATE_TIME_DIGITIZED` |
    `static TagInfoAscii` | `EXIF_TAG_DATE_TIME_ORIGINAL` |
    `static TagInfoUndefineds` | `EXIF_TAG_DEVICE_SETTING_DESCRIPTION` |
    `static TagInfoRational` | `EXIF_TAG_DIGITAL_ZOOM_RATIO` |
    `static TagInfoShort` | `EXIF_TAG_EXIF_IMAGE_LENGTH` |
    `static TagInfoShort` | `EXIF_TAG_EXIF_IMAGE_WIDTH` |
    `static TagInfoDirectory` | `EXIF_TAG_EXIF_OFFSET` |
    `static TagInfoUndefineds` | `EXIF_TAG_EXIF_VERSION` |
    `static TagInfoAscii` | `EXIF_TAG_EXPOSURE` |
    `static TagInfoSRational` | `EXIF_TAG_EXPOSURE_COMPENSATION` |
    `static TagInfoRational` | `EXIF_TAG_EXPOSURE_INDEX_EXIF_IFD` |
    `static TagInfoShort` | `EXIF_TAG_EXPOSURE_MODE` |
    `static TagInfoShort` | `EXIF_TAG_EXPOSURE_PROGRAM` |
    `static TagInfoRationals` | `EXIF_TAG_EXPOSURE_TIME` |
    `static TagInfoUndefined` | `EXIF_TAG_FILE_SOURCE` |
    `static TagInfoShort` | `EXIF_TAG_FLASH` |
    `static TagInfoRationals` | `EXIF_TAG_FLASH_ENERGY_EXIF_IFD` |
    `static TagInfoUndefineds` | `EXIF_TAG_FLASHPIX_VERSION` |
    `static TagInfoRationals` | `EXIF_TAG_FNUMBER` |
    `static TagInfoRationals` | `EXIF_TAG_FOCAL_LENGTH` |
    `static TagInfoShort` | `EXIF_TAG_FOCAL_LENGTH_IN_35MM_FORMAT` |
    `static TagInfoShort` | `EXIF_TAG_FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD` |
    `static TagInfoRational` | `EXIF_TAG_FOCAL_PLANE_XRESOLUTION_EXIF_IFD` |
    `static TagInfoRational` | `EXIF_TAG_FOCAL_PLANE_YRESOLUTION_EXIF_IFD` |
    `static TagInfoShort` | `EXIF_TAG_GAIN_CONTROL` |
    `static TagInfoRational` | `EXIF_TAG_GAMMA` |
    `static TagInfoDirectory` | `EXIF_TAG_GPSINFO` |
    `static TagInfoShortOrLong` | `EXIF_TAG_HCUSAGE` |
    `static TagInfoByte` | `EXIF_TAG_IMAGE_COLOR_INDICATOR` |
    `static TagInfoBytes` | `EXIF_TAG_IMAGE_COLOR_VALUE` |
    `static TagInfoUnknowns` | `EXIF_TAG_IMAGE_DEPTH` |
    `static TagInfoUnknowns` | `EXIF_TAG_IMAGE_HISTORY` |
    `static TagInfoUnknowns` | `EXIF_TAG_IMAGE_NUMBER` |
    `static TagInfoAscii` | `EXIF_TAG_IMAGE_UNIQUE_ID` |
    `static TagInfoLongs` | `EXIF_TAG_INTERGRAPH_FLAG_REGISTERS` |
    `static TagInfoShorts` | `EXIF_TAG_INTERGRAPH_PACKET_DATA` |
    `static TagInfoDirectory` | `EXIF_TAG_INTEROP_OFFSET` |
    `static TagInfoAscii` | `EXIF_TAG_INTEROPERABILITY_INDEX` |
    `static TagInfoUndefined` | `EXIF_TAG_INTEROPERABILITY_VERSION` |
    `static TagInfoLong` | `EXIF_TAG_IPTC_NAA` |
    `static TagInfoShorts` | `EXIF_TAG_ISO` |
    `static TagInfoAscii` | `EXIF_TAG_IT8HEADER` |
    `static TagInfoLong` | `EXIF_TAG_JPG_FROM_RAW_LENGTH_IFD2` |
    `static TagInfoLong` | `EXIF_TAG_JPG_FROM_RAW_LENGTH_SUB_IFD` |
    `static TagInfoLong` | `EXIF_TAG_JPG_FROM_RAW_LENGTH_SUB_IFD2` |
    `static TagInfoLong` | `EXIF_TAG_JPG_FROM_RAW_START_IFD2` |
    `static TagInfoLong` | `EXIF_TAG_JPG_FROM_RAW_START_SUB_IFD` |
    `static TagInfoLong` | `EXIF_TAG_JPG_FROM_RAW_START_SUB_IFD2` |
    `static TagInfoLong` | `EXIF_TAG_LEAF_DATA` |
    `static TagInfoLong` | `EXIF_TAG_LEAF_SUB_IFD` |
    `static TagInfoAscii` | `EXIF_TAG_LENS` |
    `static TagInfoAscii` | `EXIF_TAG_LENS_MAKE` |
    `static TagInfoAscii` | `EXIF_TAG_LENS_MODEL` |
    `static TagInfoAscii` | `EXIF_TAG_LENS_SERIAL_NUMBER` |
    `static TagInfoRationals` | `EXIF_TAG_LENS_SPECIFICATION` |
    `static TagInfoShort` | `EXIF_TAG_LIGHT_SOURCE` |
    `static TagInfoUndefineds` | `EXIF_TAG_MAKER_NOTE` |
    `static TagInfoUnknowns` | `EXIF_TAG_MATTEING` |
    `static TagInfoRational` | `EXIF_TAG_MAX_APERTURE_VALUE` |
    `static TagInfoShort` | `EXIF_TAG_METERING_MODE` |
    `static TagInfoUnknowns` | `EXIF_TAG_MODEL_2` |
    `static TagInfoAscii` | `EXIF_TAG_MOIRE_FILTER` |
    `static TagInfoUnknowns` | `EXIF_TAG_NOISE_2` |
    `static TagInfoSLong` | `EXIF_TAG_OFFSET_SCHEMA` |
    `static TagInfoUndefineds` | `EXIF_TAG_OPTO_ELECTRIC_CONV_FACTOR` |
    `static TagInfoLong` | `EXIF_TAG_OTHER_IMAGE_LENGTH` |
    `static TagInfoLong` | `EXIF_TAG_OTHER_IMAGE_START` |
    `static TagInfoAscii` | `EXIF_TAG_OWNER_NAME` |
    `static TagInfoBytes` | `EXIF_TAG_PHOTOSHOP_SETTINGS` |
    `static TagInfoBytes` | `EXIF_TAG_PIXEL_INTENSITY_RANGE` |
    `static TagInfoLong` | `EXIF_TAG_PREVIEW_IMAGE_LENGTH_IFD0` |
    `static TagInfoLong` | `EXIF_TAG_PREVIEW_IMAGE_LENGTH_MAKER_NOTES` |
    `static TagInfoLong` | `EXIF_TAG_PREVIEW_IMAGE_LENGTH_SUB_IFD1` |
    `static TagInfoLong` | `EXIF_TAG_PREVIEW_IMAGE_START_IFD0` |
    `static TagInfoLong` | `EXIF_TAG_PREVIEW_IMAGE_START_MAKER_NOTES` |
    `static TagInfoLong` | `EXIF_TAG_PREVIEW_IMAGE_START_SUB_IFD1` |
    `static TagInfoUndefined` | `EXIF_TAG_PRINT_IM` |
    `static TagInfoAscii` | `EXIF_TAG_PROCESSING_SOFTWARE` |
    `static TagInfoShort` | `EXIF_TAG_RASTER_PADDING` |
    `static TagInfoAscii` | `EXIF_TAG_RAW_FILE` |
    `static TagInfoAscii` | `EXIF_TAG_RELATED_SOUND_FILE` |
    `static TagInfoShort` | `EXIF_TAG_SATURATION_1` |
    `static TagInfoAscii` | `EXIF_TAG_SATURATION_2` |
    `static TagInfoShort` | `EXIF_TAG_SCENE_CAPTURE_TYPE` |
    `static TagInfoUndefined` | `EXIF_TAG_SCENE_TYPE` |
    `static TagInfoUnknowns` | `EXIF_TAG_SECURITY_CLASSIFICATION` |
    `static TagInfoAscii` | `EXIF_TAG_SEMINFO` |
    `static TagInfoShort` | `EXIF_TAG_SENSING_METHOD_EXIF_IFD` |
    `static TagInfoAscii` | `EXIF_TAG_SERIAL_NUMBER` |
    `static TagInfoAscii` | `EXIF_TAG_SHADOWS` |
    `static TagInfoShort` | `EXIF_TAG_SHARPNESS_1` |
    `static TagInfoAscii` | `EXIF_TAG_SHARPNESS_2` |
    `static TagInfoSRational` | `EXIF_TAG_SHUTTER_SPEED_VALUE` |
    `static TagInfoAscii` | `EXIF_TAG_SITE` |
    `static TagInfoAscii` | `EXIF_TAG_SMOOTHNESS` |
    `static TagInfoAscii` | `EXIF_TAG_SOFTWARE` |
    `static TagInfoUndefineds` | `EXIF_TAG_SPATIAL_FREQUENCY_RESPONSE_2` |
    `static TagInfoAscii` | `EXIF_TAG_SPECTRAL_SENSITIVITY` |
    `static TagInfoDouble` | `EXIF_TAG_STO_NITS` |
    `static TagInfoAscii` | `EXIF_TAG_SUB_SEC_TIME` |
    `static TagInfoAscii` | `EXIF_TAG_SUB_SEC_TIME_DIGITIZED` |
    `static TagInfoAscii` | `EXIF_TAG_SUB_SEC_TIME_ORIGINAL` |
    `static TagInfoShorts` | `EXIF_TAG_SUBJECT_AREA` |
    `static TagInfoRationals` | `EXIF_TAG_SUBJECT_DISTANCE` |
    `static TagInfoShort` | `EXIF_TAG_SUBJECT_DISTANCE_RANGE` |
    `static TagInfoShorts` | `EXIF_TAG_SUBJECT_LOCATION` |
    `static TagInfoUnknowns` | `EXIF_TAG_TIFF_EPSTANDARD_ID_2` |
    `static TagInfoUnknowns` | `EXIF_TAG_TILE_DEPTH` |
    `static TagInfoByte` | `EXIF_TAG_TRANSPARENCY_INDICATOR` |
    `static TagInfoGpsText` | `EXIF_TAG_USER_COMMENT` |
    `static TagInfoShort` | `EXIF_TAG_WHITE_BALANCE_1` |
    `static TagInfoAscii` | `EXIF_TAG_WHITE_BALANCE_2` |
    `static int` | `EXPOSURE_MODE_VALUE_AUTO` |
    `static int` | `EXPOSURE_MODE_VALUE_AUTO_BRACKET` |
    `static int` | `EXPOSURE_MODE_VALUE_MANUAL` |
    `static int` | `EXPOSURE_PROGRAM_VALUE_ACTION_HIGH_SPEED` |
    `static int` | `EXPOSURE_PROGRAM_VALUE_APERTURE_PRIORITY_AE` |
    `static int` | `EXPOSURE_PROGRAM_VALUE_CREATIVE_SLOW_SPEED` |
    `static int` | `EXPOSURE_PROGRAM_VALUE_LANDSCAPE` |
    `static int` | `EXPOSURE_PROGRAM_VALUE_MANUAL` |
    `static int` | `EXPOSURE_PROGRAM_VALUE_PORTRAIT` |
    `static int` | `EXPOSURE_PROGRAM_VALUE_PROGRAM_AE` |
    `static int` | `EXPOSURE_PROGRAM_VALUE_SHUTTER_SPEED_PRIORITY_AE` |
    `static int` | `FILE_SOURCE_VALUE_DIGITAL_CAMERA` |
    `static int` | `FILE_SOURCE_VALUE_FILM_SCANNER` |
    `static int` | `FILE_SOURCE_VALUE_REFLECTION_PRINT_SCANNER` |
    `static int` | `FLASH_VALUE_AUTO_DID_NOT_FIRE` |
    `static int` | `FLASH_VALUE_AUTO_DID_NOT_FIRE_RED_EYE_REDUCTION` |
    `static int` | `FLASH_VALUE_AUTO_FIRED` |
    `static int` | `FLASH_VALUE_AUTO_FIRED_RED_EYE_REDUCTION` |
    `static int` | `FLASH_VALUE_AUTO_FIRED_RED_EYE_REDUCTION_RETURN_DETECTED` |
    `static int` | `FLASH_VALUE_AUTO_FIRED_RED_EYE_REDUCTION_RETURN_NOT_DETECTED` |
    `static int` | `FLASH_VALUE_AUTO_FIRED_RETURN_DETECTED` |
    `static int` | `FLASH_VALUE_AUTO_FIRED_RETURN_NOT_DETECTED` |
    `static int` | `FLASH_VALUE_FIRED` |
    `static int` | `FLASH_VALUE_FIRED_RED_EYE_REDUCTION` |
    `static int` | `FLASH_VALUE_FIRED_RED_EYE_REDUCTION_RETURN_DETECTED` |
    `static int` | `FLASH_VALUE_FIRED_RED_EYE_REDUCTION_RETURN_NOT_DETECTED` |
    `static int` | `FLASH_VALUE_FIRED_RETURN_DETECTED` |
    `static int` | `FLASH_VALUE_FIRED_RETURN_NOT_DETECTED` |
    `static int` | `FLASH_VALUE_NO_FLASH` |
    `static int` | `FLASH_VALUE_NO_FLASH_FUNCTION` |
    `static int` | `FLASH_VALUE_OFF` |
    `static int` | `FLASH_VALUE_OFF_DID_NOT_FIRE_RETURN_NOT_DETECTED` |
    `static int` | `FLASH_VALUE_OFF_NO_FLASH_FUNCTION` |
    `static int` | `FLASH_VALUE_OFF_RED_EYE_REDUCTION` |
    `static int` | `FLASH_VALUE_ON` |
    `static int` | `FLASH_VALUE_ON_DID_NOT_FIRE` |
    `static int` | `FLASH_VALUE_ON_RED_EYE_REDUCTION` |
    `static int` | `FLASH_VALUE_ON_RED_EYE_REDUCTION_RETURN_DETECTED` |
    `static int` | `FLASH_VALUE_ON_RED_EYE_REDUCTION_RETURN_NOT_DETECTED` |
    `static int` | `FLASH_VALUE_ON_RETURN_DETECTED` |
    `static int` | `FLASH_VALUE_ON_RETURN_NOT_DETECTED` |
    `static int` | `FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_CM` |
    `static int` | `FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_INCHES` |
    `static int` | `FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_MM` |
    `static int` | `FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_NONE` |
    `static int` | `FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_UM` |
    `static int` | `GAIN_CONTROL_VALUE_HIGH_GAIN_DOWN` |
    `static int` | `GAIN_CONTROL_VALUE_HIGH_GAIN_UP` |
    `static int` | `GAIN_CONTROL_VALUE_LOW_GAIN_DOWN` |
    `static int` | `GAIN_CONTROL_VALUE_LOW_GAIN_UP` |
    `static int` | `GAIN_CONTROL_VALUE_NONE` |
    `static int` | `LIGHT_SOURCE_VALUE_CLOUDY` |
    `static int` | `LIGHT_SOURCE_VALUE_COOL_WHITE_FLUORESCENT` |
    `static int` | `LIGHT_SOURCE_VALUE_D50` |
    `static int` | `LIGHT_SOURCE_VALUE_D55` |
    `static int` | `LIGHT_SOURCE_VALUE_D65` |
    `static int` | `LIGHT_SOURCE_VALUE_D75` |
    `static int` | `LIGHT_SOURCE_VALUE_DAY_WHITE_FLUORESCENT` |
    `static int` | `LIGHT_SOURCE_VALUE_DAYLIGHT` |
    `static int` | `LIGHT_SOURCE_VALUE_DAYLIGHT_FLUORESCENT` |
    `static int` | `LIGHT_SOURCE_VALUE_FINE_WEATHER` |
    `static int` | `LIGHT_SOURCE_VALUE_FLASH` |
    `static int` | `LIGHT_SOURCE_VALUE_FLUORESCENT` |
    `static int` | `LIGHT_SOURCE_VALUE_ISO_STUDIO_TUNGSTEN` |
    `static int` | `LIGHT_SOURCE_VALUE_OTHER` |
    `static int` | `LIGHT_SOURCE_VALUE_SHADE` |
    `static int` | `LIGHT_SOURCE_VALUE_STANDARD_LIGHT_A` |
    `static int` | `LIGHT_SOURCE_VALUE_STANDARD_LIGHT_B` |
    `static int` | `LIGHT_SOURCE_VALUE_STANDARD_LIGHT_C` |
    `static int` | `LIGHT_SOURCE_VALUE_TUNGSTEN` |
    `static int` | `LIGHT_SOURCE_VALUE_WHITE_FLUORESCENT` |
    `static int` | `METERING_MODE_VALUE_AVERAGE` |
    `static int` | `METERING_MODE_VALUE_CENTER_WEIGHTED_AVERAGE` |
    `static int` | `METERING_MODE_VALUE_MULTI_SEGMENT` |
    `static int` | `METERING_MODE_VALUE_MULTI_SPOT` |
    `static int` | `METERING_MODE_VALUE_OTHER` |
    `static int` | `METERING_MODE_VALUE_PARTIAL` |
    `static int` | `METERING_MODE_VALUE_SPOT` |
    `static int` | `SATURATION_1_VALUE_HIGH` |
    `static int` | `SATURATION_1_VALUE_LOW` |
    `static int` | `SATURATION_1_VALUE_NORMAL` |
    `static int` | `SCENE_CAPTURE_TYPE_VALUE_LANDSCAPE` |
    `static int` | `SCENE_CAPTURE_TYPE_VALUE_NIGHT` |
    `static int` | `SCENE_CAPTURE_TYPE_VALUE_PORTRAIT` |
    `static int` | `SCENE_CAPTURE_TYPE_VALUE_STANDARD` |
    `static int` | `SENSING_METHOD_EXIF_IFD_VALUE_COLOR_SEQUENTIAL_AREA` |
    `static int` | `SENSING_METHOD_EXIF_IFD_VALUE_COLOR_SEQUENTIAL_LINEAR` |
    `static int` | `SENSING_METHOD_EXIF_IFD_VALUE_NOT_DEFINED` |
    `static int` | `SENSING_METHOD_EXIF_IFD_VALUE_ONE_CHIP_COLOR_AREA` |
    `static int` | `SENSING_METHOD_EXIF_IFD_VALUE_THREE_CHIP_COLOR_AREA` |
    `static int` | `SENSING_METHOD_EXIF_IFD_VALUE_TRILINEAR` |
    `static int` | `SENSING_METHOD_EXIF_IFD_VALUE_TWO_CHIP_COLOR_AREA` |
    `static int` | `SHARPNESS_1_VALUE_HARD` |
    `static int` | `SHARPNESS_1_VALUE_NORMAL` |
    `static int` | `SHARPNESS_1_VALUE_SOFT` |
    `static int` | `SUBJECT_DISTANCE_RANGE_VALUE_CLOSE` |
    `static int` | `SUBJECT_DISTANCE_RANGE_VALUE_DISTANT` |
    `static int` | `SUBJECT_DISTANCE_RANGE_VALUE_MACRO` |
    `static int` | `WHITE_BALANCE_1_VALUE_AUTO` |
    `static int` | `WHITE_BALANCE_1_VALUE_MANUAL` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXIF_TAG_INTEROPERABILITY_INDEX

          public static final TagInfoAscii EXIF_TAG_INTEROPERABILITY_INDEX

    - #### EXIF_TAG_INTEROPERABILITY_VERSION

          public static final TagInfoUndefined EXIF_TAG_INTEROPERABILITY_VERSION

    - #### EXIF_TAG_PROCESSING_SOFTWARE

          public static final TagInfoAscii EXIF_TAG_PROCESSING_SOFTWARE

    - #### EXIF_TAG_SOFTWARE

          public static final TagInfoAscii EXIF_TAG_SOFTWARE

    - #### EXIF_TAG_PREVIEW_IMAGE_START_IFD0

          public static final TagInfoLong EXIF_TAG_PREVIEW_IMAGE_START_IFD0

    - #### EXIF_TAG_PREVIEW_IMAGE_START_SUB_IFD1

          public static final TagInfoLong EXIF_TAG_PREVIEW_IMAGE_START_SUB_IFD1

    - #### EXIF_TAG_JPG_FROM_RAW_START_SUB_IFD2

          public static final TagInfoLong EXIF_TAG_JPG_FROM_RAW_START_SUB_IFD2

    - #### EXIF_TAG_PREVIEW_IMAGE_LENGTH_IFD0

          public static final TagInfoLong EXIF_TAG_PREVIEW_IMAGE_LENGTH_IFD0

    - #### EXIF_TAG_PREVIEW_IMAGE_LENGTH_SUB_IFD1

          public static final TagInfoLong EXIF_TAG_PREVIEW_IMAGE_LENGTH_SUB_IFD1

    - #### EXIF_TAG_JPG_FROM_RAW_LENGTH_SUB_IFD2

          public static final TagInfoLong EXIF_TAG_JPG_FROM_RAW_LENGTH_SUB_IFD2

    - #### EXIF_TAG_PREVIEW_IMAGE_START_MAKER_NOTES

          public static final TagInfoLong EXIF_TAG_PREVIEW_IMAGE_START_MAKER_NOTES

    - #### EXIF_TAG_JPG_FROM_RAW_START_SUB_IFD

          public static final TagInfoLong EXIF_TAG_JPG_FROM_RAW_START_SUB_IFD

    - #### EXIF_TAG_JPG_FROM_RAW_START_IFD2

          public static final TagInfoLong EXIF_TAG_JPG_FROM_RAW_START_IFD2

    - #### EXIF_TAG_OTHER_IMAGE_START

          public static final TagInfoLong EXIF_TAG_OTHER_IMAGE_START

    - #### EXIF_TAG_PREVIEW_IMAGE_LENGTH_MAKER_NOTES

          public static final TagInfoLong EXIF_TAG_PREVIEW_IMAGE_LENGTH_MAKER_NOTES

    - #### EXIF_TAG_JPG_FROM_RAW_LENGTH_SUB_IFD

          public static final TagInfoLong EXIF_TAG_JPG_FROM_RAW_LENGTH_SUB_IFD

    - #### EXIF_TAG_JPG_FROM_RAW_LENGTH_IFD2

          public static final TagInfoLong EXIF_TAG_JPG_FROM_RAW_LENGTH_IFD2

    - #### EXIF_TAG_OTHER_IMAGE_LENGTH

          public static final TagInfoLong EXIF_TAG_OTHER_IMAGE_LENGTH

    - #### EXIF_TAG_APPLICATION_NOTES

          public static final TagInfoBytes EXIF_TAG_APPLICATION_NOTES

    - #### EXIF_TAG_MATTEING

          public static final TagInfoUnknowns EXIF_TAG_MATTEING

    - #### EXIF_TAG_DATA_TYPE

          public static final TagInfoUnknowns EXIF_TAG_DATA_TYPE

    - #### EXIF_TAG_IMAGE_DEPTH

          public static final TagInfoUnknowns EXIF_TAG_IMAGE_DEPTH

    - #### EXIF_TAG_TILE_DEPTH

          public static final TagInfoUnknowns EXIF_TAG_TILE_DEPTH

    - #### EXIF_TAG_MODEL_2

          public static final TagInfoUnknowns EXIF_TAG_MODEL_2

    - #### EXIF_TAG_EXPOSURE_TIME

          public static final TagInfoRationals EXIF_TAG_EXPOSURE_TIME

    - #### EXIF_TAG_FNUMBER

          public static final TagInfoRationals EXIF_TAG_FNUMBER

    - #### EXIF_TAG_IPTC_NAA

          public static final TagInfoLong EXIF_TAG_IPTC_NAA

    - #### EXIF_TAG_INTERGRAPH_PACKET_DATA

          public static final TagInfoShorts EXIF_TAG_INTERGRAPH_PACKET_DATA

    - #### EXIF_TAG_INTERGRAPH_FLAG_REGISTERS

          public static final TagInfoLongs EXIF_TAG_INTERGRAPH_FLAG_REGISTERS

    - #### EXIF_TAG_SITE

          public static final TagInfoAscii EXIF_TAG_SITE

    - #### EXIF_TAG_COLOR_SEQUENCE

          public static final TagInfoAscii EXIF_TAG_COLOR_SEQUENCE

    - #### EXIF_TAG_IT8HEADER

          public static final TagInfoAscii EXIF_TAG_IT8HEADER

    - #### EXIF_TAG_RASTER_PADDING

          public static final TagInfoShort EXIF_TAG_RASTER_PADDING

    - #### EXIF_TAG_BITS_PER_RUN_LENGTH

          public static final TagInfoShort EXIF_TAG_BITS_PER_RUN_LENGTH

    - #### EXIF_TAG_BITS_PER_EXTENDED_RUN_LENGTH

          public static final TagInfoShort EXIF_TAG_BITS_PER_EXTENDED_RUN_LENGTH

    - #### EXIF_TAG_COLOR_TABLE

          public static final TagInfoBytes EXIF_TAG_COLOR_TABLE

    - #### EXIF_TAG_IMAGE_COLOR_INDICATOR

          public static final TagInfoByte EXIF_TAG_IMAGE_COLOR_INDICATOR

    - #### EXIF_TAG_BACKGROUND_COLOR_INDICATOR

          public static final TagInfoByte EXIF_TAG_BACKGROUND_COLOR_INDICATOR

    - #### EXIF_TAG_IMAGE_COLOR_VALUE

          public static final TagInfoBytes EXIF_TAG_IMAGE_COLOR_VALUE

    - #### EXIF_TAG_BACKGROUND_COLOR_VALUE

          public static final TagInfoBytes EXIF_TAG_BACKGROUND_COLOR_VALUE

    - #### EXIF_TAG_PIXEL_INTENSITY_RANGE

          public static final TagInfoBytes EXIF_TAG_PIXEL_INTENSITY_RANGE

    - #### EXIF_TAG_TRANSPARENCY_INDICATOR

          public static final TagInfoByte EXIF_TAG_TRANSPARENCY_INDICATOR

    - #### EXIF_TAG_COLOR_CHARACTERIZATION

          public static final TagInfoAscii EXIF_TAG_COLOR_CHARACTERIZATION

    - #### EXIF_TAG_HCUSAGE

          public static final TagInfoShortOrLong EXIF_TAG_HCUSAGE

    - #### EXIF_TAG_SEMINFO

          public static final TagInfoAscii EXIF_TAG_SEMINFO

    - #### EXIF_TAG_AFCP_IPTC

          public static final TagInfoLong EXIF_TAG_AFCP_IPTC

    - #### EXIF_TAG_LEAF_DATA

          public static final TagInfoLong EXIF_TAG_LEAF_DATA

    - #### EXIF_TAG_PHOTOSHOP_SETTINGS

          public static final TagInfoBytes EXIF_TAG_PHOTOSHOP_SETTINGS

    - #### EXIF_TAG_EXIF_OFFSET

          public static final TagInfoDirectory EXIF_TAG_EXIF_OFFSET

    - #### EXIF_TAG_EXPOSURE_PROGRAM

          public static final TagInfoShort EXIF_TAG_EXPOSURE_PROGRAM

    - #### EXPOSURE_PROGRAM_VALUE_MANUAL

          public static final int EXPOSURE_PROGRAM_VALUE_MANUAL

      See Also:
        Constant Field Values

    - #### EXPOSURE_PROGRAM_VALUE_PROGRAM_AE

          public static final int EXPOSURE_PROGRAM_VALUE_PROGRAM_AE

      See Also:
        Constant Field Values

    - #### EXPOSURE_PROGRAM_VALUE_APERTURE_PRIORITY_AE

          public static final int EXPOSURE_PROGRAM_VALUE_APERTURE_PRIORITY_AE

      See Also:
        Constant Field Values

    - #### EXPOSURE_PROGRAM_VALUE_SHUTTER_SPEED_PRIORITY_AE

          public static final int EXPOSURE_PROGRAM_VALUE_SHUTTER_SPEED_PRIORITY_AE

      See Also:
        Constant Field Values

    - #### EXPOSURE_PROGRAM_VALUE_CREATIVE_SLOW_SPEED

          public static final int EXPOSURE_PROGRAM_VALUE_CREATIVE_SLOW_SPEED

      See Also:
        Constant Field Values

    - #### EXPOSURE_PROGRAM_VALUE_ACTION_HIGH_SPEED

          public static final int EXPOSURE_PROGRAM_VALUE_ACTION_HIGH_SPEED

      See Also:
        Constant Field Values

    - #### EXPOSURE_PROGRAM_VALUE_PORTRAIT

          public static final int EXPOSURE_PROGRAM_VALUE_PORTRAIT

      See Also:
        Constant Field Values

    - #### EXPOSURE_PROGRAM_VALUE_LANDSCAPE

          public static final int EXPOSURE_PROGRAM_VALUE_LANDSCAPE

      See Also:
        Constant Field Values

    - #### EXIF_TAG_SPECTRAL_SENSITIVITY

          public static final TagInfoAscii EXIF_TAG_SPECTRAL_SENSITIVITY

    - #### EXIF_TAG_GPSINFO

          public static final TagInfoDirectory EXIF_TAG_GPSINFO

    - #### EXIF_TAG_ISO

          public static final TagInfoShorts EXIF_TAG_ISO

    - #### EXIF_TAG_OPTO_ELECTRIC_CONV_FACTOR

          public static final TagInfoUndefineds EXIF_TAG_OPTO_ELECTRIC_CONV_FACTOR

    - #### EXIF_TAG_LEAF_SUB_IFD

          public static final TagInfoLong EXIF_TAG_LEAF_SUB_IFD

    - #### EXIF_TAG_EXIF_VERSION

          public static final TagInfoUndefineds EXIF_TAG_EXIF_VERSION

    - #### EXIF_TAG_DATE_TIME_ORIGINAL

          public static final TagInfoAscii EXIF_TAG_DATE_TIME_ORIGINAL

    - #### EXIF_TAG_DATE_TIME_DIGITIZED

          public static final TagInfoAscii EXIF_TAG_DATE_TIME_DIGITIZED

    - #### EXIF_TAG_COMPONENTS_CONFIGURATION

          public static final TagInfoUndefineds EXIF_TAG_COMPONENTS_CONFIGURATION

    - #### EXIF_TAG_COMPRESSED_BITS_PER_PIXEL

          public static final TagInfoRational EXIF_TAG_COMPRESSED_BITS_PER_PIXEL

    - #### EXIF_TAG_SHUTTER_SPEED_VALUE

          public static final TagInfoSRational EXIF_TAG_SHUTTER_SPEED_VALUE

    - #### EXIF_TAG_APERTURE_VALUE

          public static final TagInfoRational EXIF_TAG_APERTURE_VALUE

    - #### EXIF_TAG_BRIGHTNESS_VALUE

          public static final TagInfoSRational EXIF_TAG_BRIGHTNESS_VALUE

    - #### EXIF_TAG_EXPOSURE_COMPENSATION

          public static final TagInfoSRational EXIF_TAG_EXPOSURE_COMPENSATION

    - #### EXIF_TAG_MAX_APERTURE_VALUE

          public static final TagInfoRational EXIF_TAG_MAX_APERTURE_VALUE

    - #### EXIF_TAG_SUBJECT_DISTANCE

          public static final TagInfoRationals EXIF_TAG_SUBJECT_DISTANCE

    - #### EXIF_TAG_METERING_MODE

          public static final TagInfoShort EXIF_TAG_METERING_MODE

    - #### METERING_MODE_VALUE_AVERAGE

          public static final int METERING_MODE_VALUE_AVERAGE

      See Also:
        Constant Field Values

    - #### METERING_MODE_VALUE_CENTER_WEIGHTED_AVERAGE

          public static final int METERING_MODE_VALUE_CENTER_WEIGHTED_AVERAGE

      See Also:
        Constant Field Values

    - #### METERING_MODE_VALUE_SPOT

          public static final int METERING_MODE_VALUE_SPOT

      See Also:
        Constant Field Values

    - #### METERING_MODE_VALUE_MULTI_SPOT

          public static final int METERING_MODE_VALUE_MULTI_SPOT

      See Also:
        Constant Field Values

    - #### METERING_MODE_VALUE_MULTI_SEGMENT

          public static final int METERING_MODE_VALUE_MULTI_SEGMENT

      See Also:
        Constant Field Values

    - #### METERING_MODE_VALUE_PARTIAL

          public static final int METERING_MODE_VALUE_PARTIAL

      See Also:
        Constant Field Values

    - #### METERING_MODE_VALUE_OTHER

          public static final int METERING_MODE_VALUE_OTHER

      See Also:
        Constant Field Values

    - #### EXIF_TAG_LIGHT_SOURCE

          public static final TagInfoShort EXIF_TAG_LIGHT_SOURCE

    - #### LIGHT_SOURCE_VALUE_DAYLIGHT

          public static final int LIGHT_SOURCE_VALUE_DAYLIGHT

      See Also:
        Constant Field Values

    - #### LIGHT_SOURCE_VALUE_FLUORESCENT

          public static final int LIGHT_SOURCE_VALUE_FLUORESCENT

      See Also:
        Constant Field Values

    - #### LIGHT_SOURCE_VALUE_TUNGSTEN

          public static final int LIGHT_SOURCE_VALUE_TUNGSTEN

      See Also:
        Constant Field Values

    - #### LIGHT_SOURCE_VALUE_FLASH

          public static final int LIGHT_SOURCE_VALUE_FLASH

      See Also:
        Constant Field Values

    - #### LIGHT_SOURCE_VALUE_FINE_WEATHER

          public static final int LIGHT_SOURCE_VALUE_FINE_WEATHER

      See Also:
        Constant Field Values

    - #### LIGHT_SOURCE_VALUE_CLOUDY

          public static final int LIGHT_SOURCE_VALUE_CLOUDY

      See Also:
        Constant Field Values

    - #### LIGHT_SOURCE_VALUE_SHADE

          public static final int LIGHT_SOURCE_VALUE_SHADE

      See Also:
        Constant Field Values

    - #### LIGHT_SOURCE_VALUE_DAYLIGHT_FLUORESCENT

          public static final int LIGHT_SOURCE_VALUE_DAYLIGHT_FLUORESCENT

      See Also:
        Constant Field Values

    - #### LIGHT_SOURCE_VALUE_DAY_WHITE_FLUORESCENT

          public static final int LIGHT_SOURCE_VALUE_DAY_WHITE_FLUORESCENT

      See Also:
        Constant Field Values

    - #### LIGHT_SOURCE_VALUE_COOL_WHITE_FLUORESCENT

          public static final int LIGHT_SOURCE_VALUE_COOL_WHITE_FLUORESCENT

      See Also:
        Constant Field Values

    - #### LIGHT_SOURCE_VALUE_WHITE_FLUORESCENT

          public static final int LIGHT_SOURCE_VALUE_WHITE_FLUORESCENT

      See Also:
        Constant Field Values

    - #### LIGHT_SOURCE_VALUE_STANDARD_LIGHT_A

          public static final int LIGHT_SOURCE_VALUE_STANDARD_LIGHT_A

      See Also:
        Constant Field Values

    - #### LIGHT_SOURCE_VALUE_STANDARD_LIGHT_B

          public static final int LIGHT_SOURCE_VALUE_STANDARD_LIGHT_B

      See Also:
        Constant Field Values

    - #### LIGHT_SOURCE_VALUE_STANDARD_LIGHT_C

          public static final int LIGHT_SOURCE_VALUE_STANDARD_LIGHT_C

      See Also:
        Constant Field Values

    - #### LIGHT_SOURCE_VALUE_D55

          public static final int LIGHT_SOURCE_VALUE_D55

      See Also:
        Constant Field Values

    - #### LIGHT_SOURCE_VALUE_D65

          public static final int LIGHT_SOURCE_VALUE_D65

      See Also:
        Constant Field Values

    - #### LIGHT_SOURCE_VALUE_D75

          public static final int LIGHT_SOURCE_VALUE_D75

      See Also:
        Constant Field Values

    - #### LIGHT_SOURCE_VALUE_D50

          public static final int LIGHT_SOURCE_VALUE_D50

      See Also:
        Constant Field Values

    - #### LIGHT_SOURCE_VALUE_ISO_STUDIO_TUNGSTEN

          public static final int LIGHT_SOURCE_VALUE_ISO_STUDIO_TUNGSTEN

      See Also:
        Constant Field Values

    - #### LIGHT_SOURCE_VALUE_OTHER

          public static final int LIGHT_SOURCE_VALUE_OTHER

      See Also:
        Constant Field Values

    - #### EXIF_TAG_FLASH

          public static final TagInfoShort EXIF_TAG_FLASH

    - #### FLASH_VALUE_NO_FLASH

          public static final int FLASH_VALUE_NO_FLASH

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_FIRED

          public static final int FLASH_VALUE_FIRED

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_FIRED_RETURN_NOT_DETECTED

          public static final int FLASH_VALUE_FIRED_RETURN_NOT_DETECTED

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_FIRED_RETURN_DETECTED

          public static final int FLASH_VALUE_FIRED_RETURN_DETECTED

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_ON_DID_NOT_FIRE

          public static final int FLASH_VALUE_ON_DID_NOT_FIRE

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_ON

          public static final int FLASH_VALUE_ON

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_ON_RETURN_NOT_DETECTED

          public static final int FLASH_VALUE_ON_RETURN_NOT_DETECTED

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_ON_RETURN_DETECTED

          public static final int FLASH_VALUE_ON_RETURN_DETECTED

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_OFF

          public static final int FLASH_VALUE_OFF

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_OFF_DID_NOT_FIRE_RETURN_NOT_DETECTED

          public static final int FLASH_VALUE_OFF_DID_NOT_FIRE_RETURN_NOT_DETECTED

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_AUTO_DID_NOT_FIRE

          public static final int FLASH_VALUE_AUTO_DID_NOT_FIRE

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_AUTO_FIRED

          public static final int FLASH_VALUE_AUTO_FIRED

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_AUTO_FIRED_RETURN_NOT_DETECTED

          public static final int FLASH_VALUE_AUTO_FIRED_RETURN_NOT_DETECTED

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_AUTO_FIRED_RETURN_DETECTED

          public static final int FLASH_VALUE_AUTO_FIRED_RETURN_DETECTED

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_NO_FLASH_FUNCTION

          public static final int FLASH_VALUE_NO_FLASH_FUNCTION

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_OFF_NO_FLASH_FUNCTION

          public static final int FLASH_VALUE_OFF_NO_FLASH_FUNCTION

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_FIRED_RED_EYE_REDUCTION

          public static final int FLASH_VALUE_FIRED_RED_EYE_REDUCTION

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_FIRED_RED_EYE_REDUCTION_RETURN_NOT_DETECTED

          public static final int FLASH_VALUE_FIRED_RED_EYE_REDUCTION_RETURN_NOT_DETECTED

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_FIRED_RED_EYE_REDUCTION_RETURN_DETECTED

          public static final int FLASH_VALUE_FIRED_RED_EYE_REDUCTION_RETURN_DETECTED

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_ON_RED_EYE_REDUCTION

          public static final int FLASH_VALUE_ON_RED_EYE_REDUCTION

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_ON_RED_EYE_REDUCTION_RETURN_NOT_DETECTED

          public static final int FLASH_VALUE_ON_RED_EYE_REDUCTION_RETURN_NOT_DETECTED

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_ON_RED_EYE_REDUCTION_RETURN_DETECTED

          public static final int FLASH_VALUE_ON_RED_EYE_REDUCTION_RETURN_DETECTED

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_OFF_RED_EYE_REDUCTION

          public static final int FLASH_VALUE_OFF_RED_EYE_REDUCTION

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_AUTO_DID_NOT_FIRE_RED_EYE_REDUCTION

          public static final int FLASH_VALUE_AUTO_DID_NOT_FIRE_RED_EYE_REDUCTION

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_AUTO_FIRED_RED_EYE_REDUCTION

          public static final int FLASH_VALUE_AUTO_FIRED_RED_EYE_REDUCTION

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_AUTO_FIRED_RED_EYE_REDUCTION_RETURN_NOT_DETECTED

          public static final int FLASH_VALUE_AUTO_FIRED_RED_EYE_REDUCTION_RETURN_NOT_DETECTED

      See Also:
        Constant Field Values

    - #### FLASH_VALUE_AUTO_FIRED_RED_EYE_REDUCTION_RETURN_DETECTED

          public static final int FLASH_VALUE_AUTO_FIRED_RED_EYE_REDUCTION_RETURN_DETECTED

      See Also:
        Constant Field Values

    - #### EXIF_TAG_FOCAL_LENGTH

          public static final TagInfoRationals EXIF_TAG_FOCAL_LENGTH

    - #### EXIF_TAG_SUBJECT_AREA

          public static final TagInfoShorts EXIF_TAG_SUBJECT_AREA

    - #### EXIF_TAG_STO_NITS

          public static final TagInfoDouble EXIF_TAG_STO_NITS

    - #### EXIF_TAG_MAKER_NOTE

          public static final TagInfoUndefineds EXIF_TAG_MAKER_NOTE

    - #### EXIF_TAG_USER_COMMENT

          public static final TagInfoGpsText EXIF_TAG_USER_COMMENT

    - #### EXIF_TAG_SUB_SEC_TIME

          public static final TagInfoAscii EXIF_TAG_SUB_SEC_TIME

    - #### EXIF_TAG_SUB_SEC_TIME_ORIGINAL

          public static final TagInfoAscii EXIF_TAG_SUB_SEC_TIME_ORIGINAL

    - #### EXIF_TAG_SUB_SEC_TIME_DIGITIZED

          public static final TagInfoAscii EXIF_TAG_SUB_SEC_TIME_DIGITIZED

    - #### EXIF_TAG_FLASHPIX_VERSION

          public static final TagInfoUndefineds EXIF_TAG_FLASHPIX_VERSION

    - #### EXIF_TAG_EXIF_IMAGE_WIDTH

          public static final TagInfoShort EXIF_TAG_EXIF_IMAGE_WIDTH

    - #### EXIF_TAG_EXIF_IMAGE_LENGTH

          public static final TagInfoShort EXIF_TAG_EXIF_IMAGE_LENGTH

    - #### EXIF_TAG_RELATED_SOUND_FILE

          public static final TagInfoAscii EXIF_TAG_RELATED_SOUND_FILE

    - #### EXIF_TAG_INTEROP_OFFSET

          public static final TagInfoDirectory EXIF_TAG_INTEROP_OFFSET

    - #### EXIF_TAG_FLASH_ENERGY_EXIF_IFD

          public static final TagInfoRationals EXIF_TAG_FLASH_ENERGY_EXIF_IFD

    - #### EXIF_TAG_SPATIAL_FREQUENCY_RESPONSE_2

          public static final TagInfoUndefineds EXIF_TAG_SPATIAL_FREQUENCY_RESPONSE_2

    - #### EXIF_TAG_NOISE_2

          public static final TagInfoUnknowns EXIF_TAG_NOISE_2

    - #### EXIF_TAG_FOCAL_PLANE_XRESOLUTION_EXIF_IFD

          public static final TagInfoRational EXIF_TAG_FOCAL_PLANE_XRESOLUTION_EXIF_IFD

    - #### EXIF_TAG_FOCAL_PLANE_YRESOLUTION_EXIF_IFD

          public static final TagInfoRational EXIF_TAG_FOCAL_PLANE_YRESOLUTION_EXIF_IFD

    - #### EXIF_TAG_FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD

          public static final TagInfoShort EXIF_TAG_FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD

    - #### FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_NONE

          public static final int FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_NONE

      See Also:
        Constant Field Values

    - #### FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_INCHES

          public static final int FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_INCHES

      See Also:
        Constant Field Values

    - #### FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_CM

          public static final int FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_CM

      See Also:
        Constant Field Values

    - #### FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_MM

          public static final int FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_MM

      See Also:
        Constant Field Values

    - #### FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_UM

          public static final int FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_UM

      See Also:
        Constant Field Values

    - #### EXIF_TAG_IMAGE_NUMBER

          public static final TagInfoUnknowns EXIF_TAG_IMAGE_NUMBER

    - #### EXIF_TAG_SECURITY_CLASSIFICATION

          public static final TagInfoUnknowns EXIF_TAG_SECURITY_CLASSIFICATION

    - #### EXIF_TAG_IMAGE_HISTORY

          public static final TagInfoUnknowns EXIF_TAG_IMAGE_HISTORY

    - #### EXIF_TAG_SUBJECT_LOCATION

          public static final TagInfoShorts EXIF_TAG_SUBJECT_LOCATION

    - #### EXIF_TAG_EXPOSURE_INDEX_EXIF_IFD

          public static final TagInfoRational EXIF_TAG_EXPOSURE_INDEX_EXIF_IFD

    - #### EXIF_TAG_TIFF_EPSTANDARD_ID_2

          public static final TagInfoUnknowns EXIF_TAG_TIFF_EPSTANDARD_ID_2

    - #### EXIF_TAG_SENSING_METHOD_EXIF_IFD

          public static final TagInfoShort EXIF_TAG_SENSING_METHOD_EXIF_IFD

    - #### SENSING_METHOD_EXIF_IFD_VALUE_NOT_DEFINED

          public static final int SENSING_METHOD_EXIF_IFD_VALUE_NOT_DEFINED

      See Also:
        Constant Field Values

    - #### SENSING_METHOD_EXIF_IFD_VALUE_ONE_CHIP_COLOR_AREA

          public static final int SENSING_METHOD_EXIF_IFD_VALUE_ONE_CHIP_COLOR_AREA

      See Also:
        Constant Field Values

    - #### SENSING_METHOD_EXIF_IFD_VALUE_TWO_CHIP_COLOR_AREA

          public static final int SENSING_METHOD_EXIF_IFD_VALUE_TWO_CHIP_COLOR_AREA

      See Also:
        Constant Field Values

    - #### SENSING_METHOD_EXIF_IFD_VALUE_THREE_CHIP_COLOR_AREA

          public static final int SENSING_METHOD_EXIF_IFD_VALUE_THREE_CHIP_COLOR_AREA

      See Also:
        Constant Field Values

    - #### SENSING_METHOD_EXIF_IFD_VALUE_COLOR_SEQUENTIAL_AREA

          public static final int SENSING_METHOD_EXIF_IFD_VALUE_COLOR_SEQUENTIAL_AREA

      See Also:
        Constant Field Values

    - #### SENSING_METHOD_EXIF_IFD_VALUE_TRILINEAR

          public static final int SENSING_METHOD_EXIF_IFD_VALUE_TRILINEAR

      See Also:
        Constant Field Values

    - #### SENSING_METHOD_EXIF_IFD_VALUE_COLOR_SEQUENTIAL_LINEAR

          public static final int SENSING_METHOD_EXIF_IFD_VALUE_COLOR_SEQUENTIAL_LINEAR

      See Also:
        Constant Field Values

    - #### EXIF_TAG_FILE_SOURCE

          public static final TagInfoUndefined EXIF_TAG_FILE_SOURCE

    - #### FILE_SOURCE_VALUE_FILM_SCANNER

          public static final int FILE_SOURCE_VALUE_FILM_SCANNER

      See Also:
        Constant Field Values

    - #### FILE_SOURCE_VALUE_REFLECTION_PRINT_SCANNER

          public static final int FILE_SOURCE_VALUE_REFLECTION_PRINT_SCANNER

      See Also:
        Constant Field Values

    - #### FILE_SOURCE_VALUE_DIGITAL_CAMERA

          public static final int FILE_SOURCE_VALUE_DIGITAL_CAMERA

      See Also:
        Constant Field Values

    - #### EXIF_TAG_SCENE_TYPE

          public static final TagInfoUndefined EXIF_TAG_SCENE_TYPE

    - #### EXIF_TAG_CFAPATTERN

          public static final TagInfoUndefineds EXIF_TAG_CFAPATTERN

    - #### EXIF_TAG_CUSTOM_RENDERED

          public static final TagInfoShort EXIF_TAG_CUSTOM_RENDERED

    - #### CUSTOM_RENDERED_VALUE_NORMAL

          public static final int CUSTOM_RENDERED_VALUE_NORMAL

      See Also:
        Constant Field Values

    - #### CUSTOM_RENDERED_VALUE_CUSTOM

          public static final int CUSTOM_RENDERED_VALUE_CUSTOM

      See Also:
        Constant Field Values

    - #### EXIF_TAG_EXPOSURE_MODE

          public static final TagInfoShort EXIF_TAG_EXPOSURE_MODE

    - #### EXPOSURE_MODE_VALUE_AUTO

          public static final int EXPOSURE_MODE_VALUE_AUTO

      See Also:
        Constant Field Values

    - #### EXPOSURE_MODE_VALUE_MANUAL

          public static final int EXPOSURE_MODE_VALUE_MANUAL

      See Also:
        Constant Field Values

    - #### EXPOSURE_MODE_VALUE_AUTO_BRACKET

          public static final int EXPOSURE_MODE_VALUE_AUTO_BRACKET

      See Also:
        Constant Field Values

    - #### EXIF_TAG_WHITE_BALANCE_1

          public static final TagInfoShort EXIF_TAG_WHITE_BALANCE_1

    - #### WHITE_BALANCE_1_VALUE_AUTO

          public static final int WHITE_BALANCE_1_VALUE_AUTO

      See Also:
        Constant Field Values

    - #### WHITE_BALANCE_1_VALUE_MANUAL

          public static final int WHITE_BALANCE_1_VALUE_MANUAL

      See Also:
        Constant Field Values

    - #### EXIF_TAG_DIGITAL_ZOOM_RATIO

          public static final TagInfoRational EXIF_TAG_DIGITAL_ZOOM_RATIO

    - #### EXIF_TAG_FOCAL_LENGTH_IN_35MM_FORMAT

          public static final TagInfoShort EXIF_TAG_FOCAL_LENGTH_IN_35MM_FORMAT

    - #### EXIF_TAG_SCENE_CAPTURE_TYPE

          public static final TagInfoShort EXIF_TAG_SCENE_CAPTURE_TYPE

    - #### SCENE_CAPTURE_TYPE_VALUE_STANDARD

          public static final int SCENE_CAPTURE_TYPE_VALUE_STANDARD

      See Also:
        Constant Field Values

    - #### SCENE_CAPTURE_TYPE_VALUE_LANDSCAPE

          public static final int SCENE_CAPTURE_TYPE_VALUE_LANDSCAPE

      See Also:
        Constant Field Values

    - #### SCENE_CAPTURE_TYPE_VALUE_PORTRAIT

          public static final int SCENE_CAPTURE_TYPE_VALUE_PORTRAIT

      See Also:
        Constant Field Values

    - #### SCENE_CAPTURE_TYPE_VALUE_NIGHT

          public static final int SCENE_CAPTURE_TYPE_VALUE_NIGHT

      See Also:
        Constant Field Values

    - #### EXIF_TAG_GAIN_CONTROL

          public static final TagInfoShort EXIF_TAG_GAIN_CONTROL

    - #### GAIN_CONTROL_VALUE_NONE

          public static final int GAIN_CONTROL_VALUE_NONE

      See Also:
        Constant Field Values

    - #### GAIN_CONTROL_VALUE_LOW_GAIN_UP

          public static final int GAIN_CONTROL_VALUE_LOW_GAIN_UP

      See Also:
        Constant Field Values

    - #### GAIN_CONTROL_VALUE_HIGH_GAIN_UP

          public static final int GAIN_CONTROL_VALUE_HIGH_GAIN_UP

      See Also:
        Constant Field Values

    - #### GAIN_CONTROL_VALUE_LOW_GAIN_DOWN

          public static final int GAIN_CONTROL_VALUE_LOW_GAIN_DOWN

      See Also:
        Constant Field Values

    - #### GAIN_CONTROL_VALUE_HIGH_GAIN_DOWN

          public static final int GAIN_CONTROL_VALUE_HIGH_GAIN_DOWN

      See Also:
        Constant Field Values

    - #### EXIF_TAG_CONTRAST_1

          public static final TagInfoShort EXIF_TAG_CONTRAST_1

    - #### CONTRAST_1_VALUE_NORMAL

          public static final int CONTRAST_1_VALUE_NORMAL

      See Also:
        Constant Field Values

    - #### CONTRAST_1_VALUE_LOW

          public static final int CONTRAST_1_VALUE_LOW

      See Also:
        Constant Field Values

    - #### CONTRAST_1_VALUE_HIGH

          public static final int CONTRAST_1_VALUE_HIGH

      See Also:
        Constant Field Values

    - #### EXIF_TAG_SATURATION_1

          public static final TagInfoShort EXIF_TAG_SATURATION_1

    - #### SATURATION_1_VALUE_NORMAL

          public static final int SATURATION_1_VALUE_NORMAL

      See Also:
        Constant Field Values

    - #### SATURATION_1_VALUE_LOW

          public static final int SATURATION_1_VALUE_LOW

      See Also:
        Constant Field Values

    - #### SATURATION_1_VALUE_HIGH

          public static final int SATURATION_1_VALUE_HIGH

      See Also:
        Constant Field Values

    - #### EXIF_TAG_SHARPNESS_1

          public static final TagInfoShort EXIF_TAG_SHARPNESS_1

    - #### SHARPNESS_1_VALUE_NORMAL

          public static final int SHARPNESS_1_VALUE_NORMAL

      See Also:
        Constant Field Values

    - #### SHARPNESS_1_VALUE_SOFT

          public static final int SHARPNESS_1_VALUE_SOFT

      See Also:
        Constant Field Values

    - #### SHARPNESS_1_VALUE_HARD

          public static final int SHARPNESS_1_VALUE_HARD

      See Also:
        Constant Field Values

    - #### EXIF_TAG_DEVICE_SETTING_DESCRIPTION

          public static final TagInfoUndefineds EXIF_TAG_DEVICE_SETTING_DESCRIPTION

    - #### EXIF_TAG_SUBJECT_DISTANCE_RANGE

          public static final TagInfoShort EXIF_TAG_SUBJECT_DISTANCE_RANGE

    - #### SUBJECT_DISTANCE_RANGE_VALUE_MACRO

          public static final int SUBJECT_DISTANCE_RANGE_VALUE_MACRO

      See Also:
        Constant Field Values

    - #### SUBJECT_DISTANCE_RANGE_VALUE_CLOSE

          public static final int SUBJECT_DISTANCE_RANGE_VALUE_CLOSE

      See Also:
        Constant Field Values

    - #### SUBJECT_DISTANCE_RANGE_VALUE_DISTANT

          public static final int SUBJECT_DISTANCE_RANGE_VALUE_DISTANT

      See Also:
        Constant Field Values

    - #### EXIF_TAG_IMAGE_UNIQUE_ID

          public static final TagInfoAscii EXIF_TAG_IMAGE_UNIQUE_ID

    - #### EXIF_TAG_CAMERA_OWNER_NAME

          public static final TagInfoAscii EXIF_TAG_CAMERA_OWNER_NAME

    - #### EXIF_TAG_BODY_SERIAL_NUMBER

          public static final TagInfoAscii EXIF_TAG_BODY_SERIAL_NUMBER

    - #### EXIF_TAG_LENS_SPECIFICATION

          public static final TagInfoRationals EXIF_TAG_LENS_SPECIFICATION

    - #### EXIF_TAG_LENS_MAKE

          public static final TagInfoAscii EXIF_TAG_LENS_MAKE

    - #### EXIF_TAG_LENS_MODEL

          public static final TagInfoAscii EXIF_TAG_LENS_MODEL

    - #### EXIF_TAG_LENS_SERIAL_NUMBER

          public static final TagInfoAscii EXIF_TAG_LENS_SERIAL_NUMBER

    - #### EXIF_TAG_GAMMA

          public static final TagInfoRational EXIF_TAG_GAMMA

    - #### EXIF_TAG_ANNOTATIONS

          public static final TagInfoUnknowns EXIF_TAG_ANNOTATIONS

    - #### EXIF_TAG_PRINT_IM

          public static final TagInfoUndefined EXIF_TAG_PRINT_IM

    - #### EXIF_TAG_OFFSET_SCHEMA

          public static final TagInfoSLong EXIF_TAG_OFFSET_SCHEMA

    - #### EXIF_TAG_OWNER_NAME

          public static final TagInfoAscii EXIF_TAG_OWNER_NAME

    - #### EXIF_TAG_SERIAL_NUMBER

          public static final TagInfoAscii EXIF_TAG_SERIAL_NUMBER

    - #### EXIF_TAG_LENS

          public static final TagInfoAscii EXIF_TAG_LENS

    - #### EXIF_TAG_RAW_FILE

          public static final TagInfoAscii EXIF_TAG_RAW_FILE

    - #### EXIF_TAG_CONVERTER

          public static final TagInfoAscii EXIF_TAG_CONVERTER

    - #### EXIF_TAG_WHITE_BALANCE_2

          public static final TagInfoAscii EXIF_TAG_WHITE_BALANCE_2

    - #### EXIF_TAG_EXPOSURE

          public static final TagInfoAscii EXIF_TAG_EXPOSURE

    - #### EXIF_TAG_SHADOWS

          public static final TagInfoAscii EXIF_TAG_SHADOWS

    - #### EXIF_TAG_BRIGHTNESS

          public static final TagInfoAscii EXIF_TAG_BRIGHTNESS

    - #### EXIF_TAG_CONTRAST_2

          public static final TagInfoAscii EXIF_TAG_CONTRAST_2

    - #### EXIF_TAG_SATURATION_2

          public static final TagInfoAscii EXIF_TAG_SATURATION_2

    - #### EXIF_TAG_SHARPNESS_2

          public static final TagInfoAscii EXIF_TAG_SHARPNESS_2

    - #### EXIF_TAG_SMOOTHNESS

          public static final TagInfoAscii EXIF_TAG_SMOOTHNESS

    - #### EXIF_TAG_MOIRE_FILTER

          public static final TagInfoAscii EXIF_TAG_MOIRE_FILTER

    - #### ALL_EXIF_TAGS

          public static final List<TagInfo> ALL_EXIF_TAGS